## acme-tiny 4.0.4

=== tests/requirements.txt ===
coveralls
fusepy
argparse

=== debian/control ===
Source: acme-tiny
Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
Uploaders: Samuel Henrique <samueloph@debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-python,
               python3 (>= 3.3.2-2~),
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.3.0
Homepage: https://github.com/diafygi/acme-tiny
Vcs-Git: https://salsa.debian.org/letsencrypt-team/acme-tiny.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/acme-tiny

Package: acme-tiny
Architecture: all
Depends: openssl (>=1.0.1k),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Description: letsencrypt tiny Python client
 acme-tiny is a tiny script to issue and renew TLS certs from Let's Encrypt
 .
 This is a tiny, auditable script that you can throw on your server to issue and
 renew Let's Encrypt certificates. Since it has to be run on your server and
 have access to your private Let's Encrypt account key, the script is kept as
 tiny as possible (currently less than 200 lines). The only prerequisites are
 Python and openssl.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=acme-tiny

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

## acme-tiny 4.1.0

=== debian/changelog ===
acme-tiny (1:4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0
  * Bump Standards-Version to 4.4.0
  * d/patches: Remove unneeded patch
  * d/rules: remove whitespace

 -- Samuel Henrique <samueloph@debian.org>  Mon, 19 Aug 2019 23:35:20 +0100

acme-tiny (1:4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4
    - Support for ACMEv2 API (closes: #924393)
    - Add epoch as the previous releases were using calver, now we're
      using semver (closes: #905720)
  * Bump DH level to 12
  * Bump Standards-Version to 4.3.0
  * Remove previous Uploader (not active since 2017) and add myself instead
  * Remove legacy upstream changelog (it was a git log)
  * Update manpage
  * d/control: Add Build-Depends on python3-setuptools-scm
  * d/copyright:
    - Update entries
    - Add upstream email
  * debian/patches
    - setuptools-support.patch: Remove patch, no more needed
    - readme-replace-usr-bin-sh-by-bin-sh.patch: Update patch
  * d/watch: Bump to v4 and update version detection

 -- Samuel Henrique <samueloph@debian.org>  Mon, 08 Apr 2019 21:31:24 +0100

acme-tiny (20171115-2) unstable; urgency=medium

  * Team upload.
  * d/control:
    + Update Maintainer email address (Closes: #899443)
    + Bump to Standards-Version 4.1.4 (no changes needed)
    + Use salsa.debian.org in Vcs-* fields
    + Remove X-Python3-Version field
  * d/compat: Bump compat version to 11

 -- Sebastien Badia <sbadia@debian.org>  Sat, 26 May 2018 20:35:45 +0200

acme-tiny (20171115-1) unstable; urgency=medium

  [ Jeremías Casteglione ]
  * new upstream release: 4ed1395 - (Closes: #882693)
  * d/control: Standards-Version: 4.1.2

  [ Sebastien Badia ]
  * d/compat: Bump compat version to 10

 -- Jeremías Casteglione <jrmsdev@gmail.com>  Thu, 07 Dec 2017 18:11:54 +0100

acme-tiny (20160801-3) unstable; urgency=medium

  * update personal email address

 -- Jeremías Casteglione <jrmsdev@gmail.com>  Sun, 12 Mar 2017 15:33:56 -0300

acme-tiny (20160801-2) unstable; urgency=medium

  * fix fail to parse openssl 1.1 CSR output (Closes: #855962)
    patch by: Aurelien Jarno <aurel32@debian.org>

 -- Jeremías Casteglione <debian@jrms.com.ar>  Sun, 12 Mar 2017 09:51:34 +0100

acme-tiny (20160801-1) unstable; urgency=medium

  * new upstream release (8bb99b2)

    + updated agreement URL (Closes: #833647)

 -- Jeremías Casteglione <debian@jrms.com.ar>  Thu, 11 Aug 2016 01:45:55 +0000

acme-tiny (20160326-1) unstable; urgency=medium

  [ Jeremías Casteglione ]
  * new upstream release (Closes: #824602)
  * setuptools integration via quilt patches (Closes: #821791)
  * replace /usr/bin/sh shebang in README.md (Closes: #824598)

  [ Mattia Rizzolo ]
  * debian/control: Bump Standards-Version, no changes needed

 -- Jeremías Casteglione <debian@jrms.com.ar>  Thu, 19 May 2016 05:27:15 +0000

acme-tiny (20151229-4) unstable; urgency=medium

  * install README.md as part of package docs (Closes: #819760)
    patch provided by: Vagrant Cascadian <vagrant@debian.org>

 -- Jeremías Casteglione <debian@jrms.com.ar>  Fri, 01 Apr 2016 23:40:56 +0000

acme-tiny (20151229-3) unstable; urgency=medium

  * install depends on python3-pkg-resources (Closes: #817275)
  * fix manpage typo: ownership vs ownsership (Thanks Axel Beckert)

 -- Jeremías Casteglione <debian@jrms.com.ar>  Wed, 09 Mar 2016 21:53:02 +0000

acme-tiny (20151229-2) unstable; urgency=medium

  * fix Vcs-Git and Vcs-Browser URLs in debian/control
  * fix manpage typo: --acme-dir vs --acmedir (Thanks Axel Beckert)

 -- Jeremías Casteglione <debian@jrms.com.ar>  Tue, 08 Mar 2016 15:07:31 +0000

acme-tiny (20151229-1) unstable; urgency=low

  * source package automatically created by stdeb 0.8.5
  * initial release (Closes: #815199)

 -- Jeremías Casteglione <debian@jrms.com.ar>  Fri, 19 Feb 2016 06:09:08 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                python3 (>= 3.3.2-2~),
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/diafygi/acme-tiny
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/acme-tiny.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/acme-tiny

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,3 @@
 	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/acme-tiny/acme-tiny-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## acme-tiny 5.0.1

=== debian/changelog ===
acme-tiny (1:5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Bump Standards-Version to 4.6.0

 -- Samuel Henrique <samueloph@debian.org>  Sat, 11 Sep 2021 21:55:58 +0100

acme-tiny (1:4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1

 -- Samuel Henrique <samueloph@debian.org>  Mon, 23 Aug 2021 18:35:07 +0100

acme-tiny (1:4.1.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * d/control: Add Rules-Requires-Root: no

 -- Samuel Henrique <samueloph@debian.org>  Sat, 30 Jan 2021 20:40:51 +0000

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Samuel Henrique <samueloph@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3 (>= 3.3.2-2~),
                python3-setuptools,
                python3-setuptools-scm
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/diafygi/acme-tiny
 Vcs-Git: https://salsa.debian.org/letsencrypt-team/acme-tiny.git
 Vcs-Browser: https://salsa.debian.org/letsencrypt-team/acme-tiny

## acme-tiny 5.0.2

=== debian/changelog ===
acme-tiny (1:5.0.2-1) unstable; urgency=medium

  * Team Upload
  * Drop runtime dependency on python3-pkg-resources (Closes: #1083299)
  * New upstream version 5.0.2 (Closes: #1107991)
  * Rewrite d/watch in v5 format
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Switch to pybuild-plugin-pyproject

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 17:36:37 +0100

=== debian/control ===
Source: acme-tiny
Maintainer: Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
Uploaders:
 Samuel Henrique <samueloph@debian.org>,
Section: utils
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.3
Homepage: https://github.com/diafygi/acme-tiny
Vcs-Git: https://salsa.debian.org/letsencrypt-team/acme-tiny.git
Vcs-Browser: https://salsa.debian.org/letsencrypt-team/acme-tiny

Package: acme-tiny
Architecture: all
Depends:
 openssl,
 ${misc:Depends},
 ${python3:Depends},
Description: letsencrypt tiny Python client
 acme-tiny is a tiny script to issue and renew TLS certs from Let's Encrypt
 .
 This is a tiny, auditable script that you can throw on your server to issue and
 renew Let's Encrypt certificates. Since it has to be run on your server and
 have access to your private Let's Encrypt account key, the script is kept as
 tiny as possible (currently less than 200 lines). The only prerequisites are
 Python and openssl.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=acme-tiny

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/acme-tiny/
Matching-Pattern: acme_tiny-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
Uversionmangle: s/(rc|a|b|c)/~$1/

## acme-tiny 20160801

=== debian/changelog ===
acme-tiny (20160801-3+deb9u1) stretch; urgency=medium

  * Fix outdated version of the subscriber agreement (Closes: #882693)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 26 Feb 2018 19:13:33 +0100

=== debian/control ===
Source: acme-tiny
Maintainer: Debian Let's Encrypt <letsencrypt-devel@lists.alioth.debian.org>
Uploaders: Jeremías Casteglione <jrmsdev@gmail.com>
Section: utils
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3 (>= 3.3.2-2~),
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/diafygi/acme-tiny
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/letsencrypt/acme-tiny.git
Vcs-Browser: https://anonscm.debian.org/git/letsencrypt/acme-tiny.git

Package: acme-tiny
Architecture: all
Depends: openssl (>=1.0.1k),
         python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends}
Description: letsencrypt tiny Python client
 acme-tiny is a tiny script to issue and renew TLS certs from Let's Encrypt
 .
 This is a tiny, auditable script that you can throw on your server to issue and
 renew Let's Encrypt certificates. Since it has to be run on your server and
 have access to your private Let's Encrypt account key, the script is kept as
 tiny as possible (currently less than 200 lines). The only prerequisites are
 Python and openssl.

## acme-tiny 20171115

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Jeremías Casteglione <jrmsdev@gmail.com>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3 (>= 3.3.2-2~),
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://github.com/diafygi/acme-tiny
 X-Python3-Version: >= 3.3
 Vcs-Git: https://anonscm.debian.org/git/letsencrypt/acme-tiny.git

=== debian/rules ===
#!/usr/bin/make -f
# This file was automatically generated by stdeb 0.8.5 at
# Fri, 19 Feb 2016 06:09:08 +0000

export PYBUILD_NAME=acme-tiny

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

override_dh_installchangelogs:
	if [ -e $(CURDIR)/debian/CHANGELOG ] ; then \
		dh_installchangelogs $(CURDIR)/debian/CHANGELOG ; \
	else \
		dh_installchangelogs ; \
	fi

=== debian/watch ===
# 20151229-1 There's not an upstream release yet, so we used the latest commit
#            timestamp for the package version.
#            Once upstream makes it first release, we will use an 'epoch' number
#            like 1:<upstream-version>
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/acme-tiny-$1\.tar\.gz/ \
  https://github.com/diafygi/acme-tiny/tags .*/?(\d{2}\.\d.\d)\.tar\.gz
